# カード

`POST /your-endpoint-on-card`

- operationId: `receiveWebhookOfCard`
- tags: Webhook_通知仕様

カードに関するイベント（`card.*`）で通知されるリクエストのボディの仕様です。  
カード更新機能（洗替）のイベント（`card.updater.complete`）はこちらではなく、`card.updater.complete`イベントの仕様である[カード：カード更新機能（洗替）](%7Byour-endpoint-on-card-updater-complete%7D.yml)をご参照ください。


## リクエストボディ

Content-Type: `application/json`

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `customer_id` | id |  |  |
| `customer_group_id` | properties-customer_group_id |  |  |
| `card_id` | properties-id |  |  |
| `default_flag` | default_flag |  |  |
| `card_no_display` | properties-card_no |  |  |
| `expire_display` | properties-expire |  |  |
| `process_date` | string |  | 処理日時 |
| `process_type` | enum(I | U) |  | 処理タイプ |
| `pay_type` | enum(Card) |  | 決済種別 |
| `forward` | forward |  |  |
| `event` | FincodeEvent |  |  |

## レスポンス

### 200 fincodeに正常にWebhookを受信した旨をレスポンスしてください。

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `receive` | enum(0 | 1) |  | Webhook通知受信 |

### 400 4xx系、5xx系または上記以外のレスポンスを返却した場合、fincodeはエラーと判断しWebhook通知のリトライを行います。

